# w.c.s. - web application for online forms
# Copyright (C) 2005-2010  Entr'ouvert
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

from quixote.directory import Directory
from quixote import get_response

from . import errors
from .http_response import AfterJob
from . import _

class AfterJobStatusDirectory(Directory):
    def _q_lookup(self, component):
        try:
            job = AfterJob.get(component)
        except KeyError:
            raise errors.TraversalError()

        response = get_response()
        response.set_content_type('text/plain')
        return job.status + '|' + _(job.status)

